curl -L -X POST 'https://api.turso.tech/v3/organizations/{organizationId}/groups/{groupId}/restore' \
-H 'Authorization: Bearer TOKEN'
{
"group": {
"name": "default",
"version": "v0.23.7",
"uuid": "0a28102d-6906-11ee-8553-eaa7715aeaf2",
"locations": [
"aws-us-east-1"
],
"primary": "us-east-1",
"delete_protection": false
},
"databases": [
{
"Name": "<string>",
"DbId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Hostname": "<string>",
"group": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"regions": [
"<string>"
],
"primaryRegion": "<string>",
"delete_protection": true,
"deleted_at": "2023-11-07T05:31:56Z",
"group_deleted_at": "2023-11-07T05:31:56Z"
}
],
"failures": {}
}Restore Group
Restore a group deleted within the last five days, along with the member databases that were deleted with it. Requires a paid plan, an admin or owner of the organization, and recovery enabled for the organization. If some databases fail to restore, the group still becomes active: retry the failed database UUIDs individually with Restore Database.
curl -L -X POST 'https://api.turso.tech/v3/organizations/{organizationId}/groups/{groupId}/restore' \
-H 'Authorization: Bearer TOKEN'
{
"group": {
"name": "default",
"version": "v0.23.7",
"uuid": "0a28102d-6906-11ee-8553-eaa7715aeaf2",
"locations": [
"aws-us-east-1"
],
"primary": "us-east-1",
"delete_protection": false
},
"databases": [
{
"Name": "<string>",
"DbId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"Hostname": "<string>",
"group": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"regions": [
"<string>"
],
"primaryRegion": "<string>",
"delete_protection": true,
"deleted_at": "2023-11-07T05:31:56Z",
"group_deleted_at": "2023-11-07T05:31:56Z"
}
],
"failures": {}
}id field from
Retrieve Organization and the uuid
field from List Deleted Groups.curl -L -X POST 'https://api.turso.tech/v3/organizations/{organizationId}/groups/{groupId}/restore' \
-H 'Authorization: Bearer TOKEN'
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the organization. Retrieve it with the Retrieve Organization endpoint (the id field).
The UUID of the group, as returned when listing deleted groups (the uuid field).
Response
Successful response
The restored group.
Show child attributes
Show child attributes
The member databases restored with the group, in restore order.
Show child attributes
Show child attributes
Maps database UUID to error message for members whose restore failed. Retry them individually with Restore Database.
Show child attributes
Show child attributes
Was this page helpful?